Fail Install Snort: Binary packages are not downloaded / installed



  • On a clean install (version 2.1 Ipv6) while adding the Snort package, everything looks to be installed OK, see the log below. also the services menu of the snort package looks ok and I can set the configuration.
    But snort won't start. And if I check on the command line, the are no binaries of snort. So the installation-step of downloading the snort-package and all its dependencies is skipped or so?
    Am I the only onw having this problem?

    
    Beginning package installation for snort .
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading snort and its dependencies... 
    Loading package configuration... done.
    Configuring package components...
    Additional files... help_and_info.php 
    ...
    ...
    Loading package instructions...
    Custom commands...
    Executing custom_php_install_command()...done.
    Executing custom_php_resync_config_command()...done.
    Menu items... done.
    Services... done.
    Writing configuration... done.
    
    Package installed.
    

  • Rebel Alliance Developer Netgate

    Do not expect all packages (especially snort) to work on 2.1. The package system binary method is being completely overhauled for 2.1 to use PBIs, many of which may be missing, and likely not updated for FreeBSD 8.x builds of 2.1. We're working on getting things going on FreeBSD 9 now but there are no package binaries (or even package xml!) for that yet.

    If you require snort, you'll need to stay on 2.0/2.0.1.



  • @jimp:

    Do not expect all packages (especially snort) to work on 2.1. The package system binary method is being completely overhauled for 2.1 to use PBIs, many of which may be missing, and likely not updated for FreeBSD 8.x builds of 2.1. We're working on getting things going on FreeBSD 9 now but there are no package binaries (or even package xml!) for that yet.

    If you require snort, you'll need to stay on 2.0/2.0.1.

    Thanks for the status update. I will wait stay on 2.0.1 then.
    I was using the latest build from: http://files.pfsense.org/jimp/ipv6/

    PS. after installing the snort tgz myself, everything went well.


  • Rebel Alliance Developer Netgate

    If you are ok with loading it by hand, it would probably be fine

    2.0 has been usable so long (even in the late BETA/RC) people are having trouble adjusting to the fact that a development release has some bumps ;-)


Locked